'use strict';Object.defineProperty(exports,'__esModule',{value:true});var getOptionsArray=require('./getOptionsArray.cjs'),envLogger=require('./envLogger.cjs');const ENV_CONFIG_FOLDER = 'env-config';
const PUBLIC_CONFIG_FOLDER = 'public-config';
function loader (source, map) {
    if (!source) {
        return source;
    }
    this.cacheable && this.cacheable();
    getOptionsArray.default(this);
    if (this.resource.includes(ENV_CONFIG_FOLDER)) {
        try {
            envLogger.sourceToAst(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing ENV_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    if (this.resource.includes(PUBLIC_CONFIG_FOLDER)) {
        try {
            envLogger.sourceToAst(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing PUBLIC_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    return source;
}exports.default=loader;//# sourceMappingURL=loader.cjs.map
