import getOptionsArray from'./getOptionsArray.mjs';import {sourceToAst}from'./envLogger.mjs';const ENV_CONFIG_FOLDER = 'env-config';
const PUBLIC_CONFIG_FOLDER = 'public-config';
function loader (source, map) {
    if (!source) {
        return source;
    }
    this.cacheable && this.cacheable();
    getOptionsArray(this);
    if (this.resource.includes(ENV_CONFIG_FOLDER)) {
        try {
            sourceToAst(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing ENV_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    if (this.resource.includes(PUBLIC_CONFIG_FOLDER)) {
        try {
            sourceToAst(source);
        }
        catch (err) {
            console.warn(`ENV_LIST_LOADER failed when parsing PUBLIC_CONFIG (ignore error) "${this.resource}"`);
            console.error(err);
        }
    }
    return source;
}export{loader as default};//# sourceMappingURL=loader.mjs.map
